export type MarkdownConfiguration = {
    html_input: MarkdownHtmlFilter,
    allow_unsafe_links: Boolean,
    max_nesting_level: number,
    renderer: {
        block_separator: string,
        inner_separator: string,
        soft_break: string,
    },
    slug_normalizer: {
        max_length: number
        unique: MarkdownUniqueSlugNormalizer
    },
};

export type MarkdownHtmlFilter = 'ALLOW' | 'ESCAPE' | 'STRIP';

export type MarkdownUniqueSlugNormalizer = 'DISABLED' | 'PER_ENVIRONMENT' | 'PER_DOCUMENT';